//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InlineDelimitersValueList.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="InlineDelimitersValueList">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="bold"/>
 *     &lt;enumeration value="italic"/>
 *     &lt;enumeration value="underlined"/>
 *     &lt;enumeration value="link"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "InlineDelimitersValueList")
@XmlEnum
public enum InlineDelimitersValueList {


    /**
     * Indicates a run of bolded text.
     * 
     */
    @XmlEnumValue("bold")
    BOLD("bold"),

    /**
     * Indicates a run of text in italics.
     * 
     */
    @XmlEnumValue("italic")
    ITALIC("italic"),

    /**
     * Indicates a run of underlined text.
     * 
     */
    @XmlEnumValue("underlined")
    UNDERLINED("underlined"),

    /**
     * Indicates a run of hyper-text.
     * 
     */
    @XmlEnumValue("link")
    LINK("link");
    private final String value;

    InlineDelimitersValueList(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static InlineDelimitersValueList fromValue(String v) {
        for (InlineDelimitersValueList c: InlineDelimitersValueList.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
